/* global*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

body {
  background: #0b0b0f;
  width: 100%;
  margin: 0;
  padding: 0;
}

/*header*/
header {
  top: 0;
  width: 100%;
  margin-top: 10px;
  padding: 5px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: rgba(11, 11, 15, 0.7);
  backdrop-filter: blur(20px);
  z-index: 1000;
  position: sticky;

}


.name {
  font-size: 22px;
  font-weight: 600;
  color: white;
}

.slash {
  color: #8a2be2;
  margin-right: 10px;
}


nav {
  gap: 30px;
  background: #8a2be2;
  border-radius: 20px;
  padding: 7px;
  box-shadow: 0 10px 20px rgba(138, 43, 226, 0.4);
}

nav a {
  color: #f5efef;
  text-decoration: none;
  font-size: 14px;
  transition: 0.3s;
  padding-left: 10px;
  padding-right: 10px;
}

nav a:hover {
  color: white;
  font-size: 16px;
}


header .btn {
  background: linear-gradient(45deg, #8a2be2, #6a0dad);
  border: none;
  padding: 10px 18px;
  border-radius: 8px;
  color: white;
  align-items: center;
  gap: 8px;
  transition: 0.3s;
}

#active {
  background: #0b0b0f;
  border-radius: 15px;
  padding: 7px;
  margin-top: 3px;
  margin-bottom: 3px;
  font-weight: bold;
}

header .btn:hover {
  transform: translateY(-2px);
  box-shadow: 0 10px 20px rgba(138, 43, 226, 0.4);
}

.pulse {
  color: #4eaa5d;
  animation: pulse 1.5s infinite;
  font-size: 16px;
}

/* seksyn hero*/
.hero {
  color: #fff;
  min-height: 100vh;
  display: flex;
  align-items: center;
  width: 100%;
  margin: 0px;
}


.hero-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: px;
  width: 100%;
}


.hero-content {
  max-width: 550px;
  
}

.badge {
  display: inline-block;
  background: rgba(138, 43, 226, 0.2);
  color: #b084ff;
  padding: 8px 15px;
  border-radius: 20px;
  font-size: 14px;
  margin-bottom: 20px;
}

.hero h1 {
  font-size: 48px;
  line-height: 1.2;
  margin-bottom: 20px;
}

.hero h1 span {
  color: #8a2be2;
  font-weight: bold;
}


.hero p {
  color: #aaa;
  font-size: 16px;
  margin-bottom: 30px;
}


.hero-buttons {
  display: flex;
  gap: 15px;
  margin-bottom: 30px;
}

.btn {
  padding: 12px 20px;
  border-radius: 8px;
  text-decoration: none;
  font-weight: 500;
  transition: 0.3s;
}

.btn.primary {
  background: linear-gradient(45deg, #8a2be2, #6a0dad);
  color: white;
}

.btn.primary:hover {
  transform: translateY(-3px);
  box-shadow: 0 10px 25px rgba(138, 43, 226, 0.4);
}

.btn.secondary {
  border: 1px solid #444;
  color: #fff;
}

.btn.secondary:hover {
  background: #222;
}

.tech {
  display: flex;
  gap: 15px;
  flex-wrap: wrap;
}

.tech span {
  background: #15151c;
  padding: 8px 12px;
  border-radius: 6px;
  font-size: 14px;
}

/* imaj l'an */
.hero-image img {
  width: 100%;
  border-radius: 20px;
  position: relative;
  z-index: 1;
  height: 85vh;
  border-radius: 55%;
  object-fit: cover;
  box-shadow: 0 10px 20px rgba(138, 43, 226, 0.5);
}

.hero-image {
  position: relative;

}

.hero-image::before {
  background: #8a2be2;
  filter: blur(120px);
  z-index: 0;
}

.ligne {
  border: solid 1px #8a2be2;
}

/*seksyon projects*/
.projects {
  padding-top: 50px;
  padding-bottom: 60px;
  background: #0b0b0f;
  color: #fff;
}

.container {
  max-width: 1200px;
  margin: auto;
}

.projects-header {
  display: flex;
  justify-content: space-between;
  align-items: end;
  margin-bottom: 50px;
  flex-wrap: wrap;
  gap: 20px;
}

.subtitle {
  color: #a855f7;
  font-size: 14px;
  letter-spacing: 1px;
}

.projects-header h2 {
  font-size: 32px;
  margin: 10px 0;
}

.projects-header p {
  color: #aaa;
  max-width: 500px;
}

.btn-outline {
  border: 1px solid #444;
  padding: 10px 18px;
  border-radius: 10px;
  color: #fff;
  text-decoration: none;
  transition: 0.3s;
}

.btn-outline:hover {
  border-color: #a855f7;
  color: #a855f7;
}

/* pou grid */
.projects-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 25px;
}
.projects-grid2 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 25px;
  padding-bottom:50px;
  padding-top: 2em;
}
/* kat yo */
.card {
  background: #111;
  border-radius: 20px;
  overflow: hidden;
  transition: 0.3s;
  border: 1px solid #1f1f1f;
}

.card:hover {
  transform: translateY(-8px);
  border-color: #a855f7;
}

/* imaj kat yo */
.card img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  padding: 10px;
}

/* anndn kat yo */
.card-content {
  padding: 20px;
}

.tag {
  color: #a855f7;
  font-size: 12px;
  display: block;
  margin-bottom: 8px;
}

.card h3 {
  margin-bottom: 10px;
  color: white
}

.card p {
  color: #aaa;
  font-size: 14px;
  margin-bottom: 15px;
}

/* tech yo*/
.tech1 {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.tech1 span {
  background: #1a1a1a;
  padding: 5px 10px;
  border-radius: 8px;
  font-size: 12px;
  color: white;
}

/* seksyn 3 a */
.why-choose {
  padding-top: 60px;
  padding-bottom: 60px;
  background: #0b0b0f;
  color: white;
}

.containe1 {
  max-width: 1200px;
  margin: auto;

  display: grid;
  grid-template-columns: 1.1fr 1fr 1fr;
  gap: 30px;
}


.section-subtitle {
  color: #a855f7;
  font-size: 13px;
  letter-spacing: 1px;
  display: block;
  margin-bottom: 15px;
}


.why-left h2,
.contact-box h2 {
  font-size: 38px;
  line-height: 1.2;
  margin-bottom: 25px;
}

.features {
  list-style: none;
}

.features li {
  margin-bottom: 18px;
  color: #cfcfcf;
  position: relative;
  padding-left: 28px;
  line-height: 1.5;
}

.features li::before {
  content: "✔";
  position: absolute;
  left: 0;
  color: #a855f7;
  font-size: 14px;
}

/* boite skills */
.skills-box {
  border-left: 1px solid #1d1d1d;
  border-right: 1px solid #1d1d1d;
  padding: 0 25px;
}

.skills-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 15px;
}

.skill-card {
  background: #111;
  border: 1px solid #1f1f1f;
  border-radius: 14px;
  padding: 16px;

  display: flex;
  align-items: center;
  gap: 12px;

  transition: 0.3s;
}

.skill-card:hover {
  border-color: #a855f7;
  transform: translateY(-4px);
}

.skill-card img {
  width: 24px;
  height: auto;
}

.skill-card span {
  font-size: 14px;
}

/* boite kontak l'an*/
.contact-box p {
  color: #aaa;
  line-height: 1.7;
  margin: 20px 0 30px;
}

.contact-btn {
  display: inline-block;
  width: 100%;
  text-align: center;

  background: linear-gradient(90deg, #7b2ff7, #a855f7);
  padding: 16px;
  border-radius: 14px;

  color: white;
  text-decoration: none;
  font-weight: 600;

  transition: 0.3s;
}

.contact-btn:hover {
  transform: translateY(-3px);
  box-shadow: 0 0 25px rgba(168, 85, 247, 0.5);
}

/* boite clients */
.clients {
  margin-top: 30px;
  display: flex;
  align-items: center;
  gap: 15px;
}
.clients2 {
 display: none;
}

.avatars {
  display: flex;
}

.avatars img {
  width: 42px;
  height: 42px;
  border-radius: 50%;
  border: 2px solid white;
  margin-left: -10px;
}

.avatars img:first-child {
  margin-left: 0;
}

.rating span {
  color: white;
  font-weight: bold;
}

.rating p {
  margin: 5px 0 0;
  font-size: 13px;
  color: #aaa;
}

/* pati footer an*/
.footer {
  background: #0b0b0f;
  padding: 60px 5% 30px;
  text-align: center;
  border-top: 1px solid #1a1a1a;
}

.footer-logo {
  font-size: 28px;
  font-weight: bold;
  color: white;
  margin-bottom: 20px;
}

.footer-logo span {
  color: #a855f7;
}

.footer p {
  color: #aaa;
  max-width: 500px;
  margin: auto;
  line-height: 1.7;
  margin-bottom: 30px;
}

.footer-socials {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-bottom: 30px;
  flex-wrap: wrap;
}

.footer-socials a {
  color: #ccc;
  text-decoration: none;
  transition: 0.3s;
}

.footer-socials a:hover {
  color: #a855f7;
}

.footer-bottom {
  color: #666;
  font-size: 14px;
}

/* kontak*/
 
/* SECTION */ 
.contact-section{ 
    min-height:100vh; 
    background:#0b0b0f; 
    padding:50px 5%; 
     
    display:flex; 
    flex-direction:column; 
    align-items:center; 
    justify-content:center; 
 
    color:white; 
} 
 
/* TOP TEXT */ 
.contact-title{ 
    text-align:center; 
    margin-bottom:50px; 
    max-width:800px; 
} 
 
.bienvenue{ 
    color:#711bc2; 
    font-size:18px; 
    letter-spacing:1px;
    background-color: whitesmoke;
    padding: 10px 50px; 
    border-radius: 5px;
} 
 
.contact-title h1{ 
    font-size:40px; 
    margin-top:15px; 
    line-height:1.3; 
    font-weight:700; 
} 
 
/* GLASS */ 
.glass-container{ 
    width:100%; 
    max-width:1200px; 
 
    background:rgba(255,255,255,0.05); 
 
    border:1px solid rgba(169, 85, 247, 0.315);
 
    backdrop-filter:blur(20px); 
    -webkit-backdrop-filter:blur(20px); 
 
    border-radius:30px; 
 
    padding:50px; 
 
    display:grid; 
    grid-template-columns:1fr 1fr; 
    gap:50px; 
 
    box-shadow: 
    0 8px 32px rgba(90, 80, 175, 0.295); 
} 
 
/* LEFT */ 
.contact-info h2, 
.contact-form h2{ 
    font-size:32px; 
    margin-bottom:20px; 
} 
 
.contact-info p{ 
    color:#b5b5b5; 
    line-height:1.8; 
    margin-bottom:35px; 
} 
 
/* LINKS */ 
.contact-links{ 
    display:flex; 
    flex-direction:column; 
    gap:18px; 
} 
 
.contact-links a{ 
    text-decoration:none; 
    color:white; 
 
    background:rgba(255,255,255,0.05); 
 
    border:1px solid rgba(255,255,255,0.08); 
 
    padding:16px 20px; 
 
    border-radius:14px; 
 
    transition:0.3s; 
 
    display:flex; 
    align-items:center; 
    gap:15px; 
} 
 
.contact-links a:hover{ 
    border-color:#a855f7; 
    transform:translateX(8px); 
    background:rgba(168,85,247,0.1); 
} 

.contact-links i{ 
    color:#a855f7; 
    font-size:18px; 
} 
 
/* FORM */ 
form{ 
    display:flex; 
    flex-direction:column; 
    gap:20px; 
} 
 
.input-box input, 
.input-box textarea{ 
    width:100%; 
 
    background:rgba(255,255,255,0.05); 
 
    border:1px solid rgba(255,255,255,0.08); 
 
    outline:none; 
 
    padding:18px 20px; 
 
    border-radius:14px; 
 
    color:white; 
 
    font-size:15px; 
} 
 
.input-box textarea{ 
    height:180px; 
    resize:none; 
} 
 
.input-box input::placeholder, 
.input-box textarea::placeholder{ 
    color:#999; 
} 
 
/* BUTTON */ 
button{ 
    height:60px; 
 
    border:none; 
 
    background:linear-gradient(90deg,#7b2ff7,#a855f7); 
 
    color:white; 
 
    font-size:16px; 
    font-weight:600; 
 
    border-radius:14px; 
 
    cursor:pointer; 
 
    transition:0.3s; 
} 
 
button:hover{ 
    transform:translateY(-4px); 
 
    box-shadow: 
    0 0 25px rgba(168,85,247,0.5); 
} 
.backg{
  background-color: rgba(168,85,247,0.5);
  padding: 2px;
}
.sidebar{
  position: fixed;
  top: 0;
  right: 0;
  width: 250px;
  height: 100vh;
  z-index: 999;
  background-color: #0d0114e5;
  backdrop-filter: blur(3px);
  box-shadow: -10px 0 10px rgba(168,85,247,0.4);
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.sidebar li{
  text-decoration: none;
  list-style: none;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding:30px;

}
.sidebar a{
text-decoration: none;
width: 100%;
color: whitesmoke;
font-weight: 500;
}
.sidebar a:hover{
  background-color: rgba(255, 255, 255, 0.486);
  padding: 7px;
  border-radius: 7px;
}
.flech{
  background-color: white;
  padding: 2px;
  display: none;
}


/* a propos*/
.about-section{
  background-color: #07070b;
  padding-top: 30px;
  padding-bottom: 50px;
  color: white;
  max-width: 100vw;
}
/* top */
.about-top{
  text-align: center;
  margin-bottom: 40px;
}
.about-top span{
  color: #a855f7;
  font-size: 1rem;
  letter-spacing: 0.125em;
}
.about-top h1{
  font-size: 3rem;
  /* margin: 1.25em 0; */
  font-weight: bold;
}
.about-top p{
  max-width: 700px;
  margin: auto;
  color: #b5b5b5;
  line-height: 1.8;
  font-size: 1rem;
}

/* content */
.about-content{
  display: grid;
  grid-template-columns: 1fr 1.5fr;
  gap: 60px;
  align-items: center;
  margin-bottom: 50px;
}

/* imaj */
.about-image{
  position: relative;
}
.about-image img{
  width: 100%;
  border-radius: 30px;
  border: 1px solid rgba(255,255,255,0.08);
}
/* TEXT */
.about-text h2{
  font-size: 3rem;
  margin-bottom: 25px;
}
.about-text p{
  font-size: 1rem;
  color: #b5b5b5;
  line-height: 1.8;
  margin-bottom: 20px;
}
/* BUTTON */
.cv-btn{
  display: inline-block;
  margin-top: 10px;
  padding:1em 2em;
  border: 1px solid #a855f7;
  border-radius: 1rem;
  text-decoration: none;
  color: #a855f7;
  transition: 0.3s;
}
.cv-btn:hover{
  background: #a855f7;
  color: white;
  box-shadow: 0 0 30px rgba(168, 85, 247, 0.2);
  backdrop-filter: blur(20px);
}
.stats-container{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  background: #a265db57;
  padding: 0.625rem;
  font-weight: bold;
  border-radius: 30px;

  .stats-box{
    margin: 0.625rem;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
  }
}
.project-header{
  color: whitesmoke;
  margin-top: 2em;
  display: none;
}
.project-header h2{
  font-weight: 700;
  font-size: 1.5rem;
  text-wrap: pre;
}
.project-header h2>span{
  background-color: #a265db57;
}

/* RESPONSIVE */ 
@media(max-width:1024px){ 
 
    .glass-container{ 
        grid-template-columns:1fr; 
        padding:30px; 

    } 
 
    .contact-title h1{ 
        font-size:34px; 
    } 
 .hero-image img {
  width: 80%;
  border-radius: 20px;
  position: relative;
  z-index: 1;
  height: 70vh;
  border-radius: 55%;
  object-fit: cover;
  box-shadow: 0 10px 20px rgba(138, 43, 226, 0.5);
  /* margin-left: 3rem; */
}

.hero-image {
  position: relative;
}
.hero-content p{
  width: 100%;
}
.hero h1 {
  font-size: 3rem;
  line-height: 1.2;
  margin-bottom: 1rem;
}
.projects-grid{ 
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 25px;
}
}
  
@media(max-width:768px){
  .hideOnMobile{
    display: none;
  }
  .showOnMobile{
    display: block;
    margin-right: 5px;
  }
}

/* Responsivite'l */
@media (max-width: 768px) {
  .containe1 {
    grid-template-columns: 1fr;
  }
  .card-hide{
    display:none;
  }
  .projects-grid2 .card img{
    border-radius: 5px;
    padding-inline: 1px;
  }
   .projects-grid .card img{
    border-radius: 5px;
    padding-inline: 1px;
  }

  .skills-box {
    border: none;
    padding: 0;
  }

  .why-left h2,
  .contact-box h2 {
    font-size: 30px;
  }
}

@keyframes pulse {
  40% {
    opacity: 1;
  }

  70% {
    opacity: 0.3;
  }

  100% {
    opacity: 1;
  }
}

@media (max-width: 768px) {
  .hero-container {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-content: center;
    margin-left: 10px;
    margin-right: 10px;
  }

  .hero-image img {
    width: 300px;
    height: 40vh;
  }

  .hero-buttons {
    justify-content: center;
  }

  .tech {
    justify-content: center;
  }
  .projects-header{
    padding-left: 0;
    margin-left: 0;
    
  }
  .projects-header .btn-outline{
      margin-left: 0.6rem;
    }
   #soti{
  background-color:  white;
  width: max-content;
  align-self: flex-end;
}
}
/* TELEPHON(ACCEUIL, PROJET, CONTACT)*/
@media (max-width: 460px) {
   .hero-container {
    display: flex;
    max-width: 100vw;
    flex-direction: column;
  }
  body{
    padding-left: 7px;
    padding-right: 7px;
  }
  .hero-content h1{
    font-size: 2rem;
    text-wrap: balance;

  }
  .hero-content p{
    font-size: 0.8rem;
    text-align: center;
    line-height: 1.5;
    text-wrap: balance;
  }
  .card-hide{
    display: block;
  }
  .subtitle{
    font-size: 0.7rem;
  }
  .projects-header h2{
    font-size: 1.5rem;
  }
  .projects-header p{
    font-size: 0.8rem;
  }
  .section-subtitle{
    font-size: 0.7rem;
  }
  .why-left h2{
    font-size: 1.5rem;
  }
  .why-left ul{
    font-size: 0.8rem;
  }
  .contact-box h2{
    font-size: 1.5rem;
  }
  .contact-box p{
    font-size: 0.8rem;
  }
  .footer-logo{
    font-size: 1.5rem;
  }
  .footer p{
    font-size: 0.8rem;
  }
  .project-header{
    display: block;
  }
#soti{
  background-color:  white;
  width: max-content;
  align-self: flex-end;
}
} 
/* TELEPHONE (apropos)*/
@media( max-width: 460px){ 
  .about-section{
    padding-bottom: 1rem;
    position: relative;
  }
  .about-top{
  text-align: center;
  margin-bottom: 1.5rem;
}
.about-top span{
  color: #a855f7;
  font-size: 0.7rem;
  letter-spacing: 0.125em;
}
.about-top h1{
  font-size: 1.5rem;
  font-weight: bold;
  margin-bottom: 1rem;
}
.about-top p{
  max-width: 700px;
  /* margin: auto; */
  color: #b5b5b5;
  line-height: 1.4;
  font-size: 0.8rem;
  text-wrap: balance;
}
/* content */
.about-content{
  display: grid;
  grid-template-columns: 1fr;
  align-content: center;
  margin-bottom: 50px;
}

/* imaj */
.about-image{
  position: relative;
  display: none;
}

/* TEXT */
.about-text h2{
  font-size: 2rem;
  margin-bottom: 25px;
}
.about-text p{
  font-size: 0.9rem;
  color: #b5b5b5;
  line-height: 1.6;
  margin-bottom: 1.3em;
}
.about-section{
  margin-bottom: 1rem;

}
.stats-container{
  display: none;
}
.clients2 {
  margin-top: 30px;
  display: flex;
  align-items: center;
  gap: 15px;
  margin-bottom: 2rem;
}
.btn{
  padding: 0.5rem 1rem;
}
#soti{
  background-color:  white;
  width: max-content;
  justify-self   : flex-end;
}
}
